%define name berry-theme
%define version 0.07
%define release b1

Name:		%{name}
Summary:	The Berry Linux Theme
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: noarch


%description
Theme for Berry Linux


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
#mkdir -p %{buildroot}/opt/berry
##install -m 755 wallpaper.jpg %{buildroot}/opt/berry/
##install -m 755 wallpaper.jpg %{buildroot}/usr/local/lib
install -m 755 -d %{buildroot}/usr/share/apps/ksplash/pics
#install -m 755 -d %{buildroot}/usr/share/apps/kicker/pics
###cp -a ksplash/pics/* %{buildroot}/usr/share/apps/ksplash/pics/
cp -a ksplash/* %{buildroot}/usr/share/apps/ksplash/pics/
#cp -a kicker/pics/* %{buildroot}/usr/share/apps/kicker/pics/
#install -d -m 755 %{buildroot}/usr/share/icons
#cp -a icons/* %{buildroot}/usr/share/icons/

#rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kstyle
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kthememgr/Themes
#mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
#mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kwin/icewm-themes
#pushd style
#  cp -R -f pixmaps $RPM_BUILD_ROOT/usr/share/apps/kstyle/
#  cp -R -f themes $RPM_BUILD_ROOT/usr/share/apps/kstyle/
#  cp -R -f wallpapers $RPM_BUILD_ROOT/usr/share/
#popd
#pushd theme
#  cp -f Acqua.ktheme $RPM_BUILD_ROOT/usr/share/apps/kthememgr/Themes/
#  cp -R -f Acqua $RPM_BUILD_ROOT/usr/share/apps/kwin/icewm-themes/
#popd


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/usr/share/apps/ksplash/pics/*
#/usr/share/apps/kstyle/pixmaps/*
#/usr/share/apps/kstyle/themes/*
#/usr/share/wallpapers/*
#/usr/share/apps/kthememgr/Themes/*
#/usr/share/apps/kwin/icewm-themes/*


##
## change log
##

%changelog
* Thu May 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
